# SpotClient (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.whirled.spot.server
Class SpotClient

    java.lang.Object
      com.threerings.presents.server.PresentsSession
          com.threerings.crowd.server.CrowdSession
              com.threerings.whirled.server.WhirledSession
                  com.threerings.whirled.spot.server.SpotClient

All Implemented Interfaces:
  com.threerings.presents.server.ClientResolutionListener, com.threerings.presents.server.net.PresentsConnection.MessageHandler

    public class SpotClient

extends WhirledSession

Extends the Whirled client and handles the necessary notifications that take place when a user logs off to let the clients displaying the scene they were occupying know that they didn't exit via a portal, but instead just disappeared.

Nested Class Summary

Nested classes/interfaces inherited from class com.threerings.presents.server.PresentsSession
`com.threerings.presents.server.PresentsSession.UserChangeListener`

Constructor Summary
`SpotClient()`

Method Summary

Methods inherited from class com.threerings.presents.server.PresentsSession
`checkExpired, clientResolved, endSession, getAuthName, getClientObject, getCredentials, getInetAddress, getNetworkStamp, getSecret, getSessionStamp, getTimeZone, getTransmitDatagrams, handleMessage, resolutionFailed, setClassLoader, setIncomingMessageThrottle, setUsername, shutdown, toString, updateUsername`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SpotClient

    public SpotClient()

Copyright © 2011. All Rights Reserved.